import * as React from "react";
interface LinkProps extends React.AnchorHTMLAttributes<HTMLAnchorElement> {
    /** The content of the link */
    children: React.ReactNode;
    /** Use a custom component. E.g., ReactRouter Link */
    component?: React.ElementType<any>;
    [key: string]: any;
}
/**
 * A styled anchor element
 */
export declare const Link: ({ children, component: Component, ...other }: LinkProps) => import("@emotion/react/jsx-runtime").JSX.Element;
export {};
