import { ButtonIntent } from "./Button";
export interface AlertDialogProps {
    isOpen: boolean;
    onConfirm: () => void;
    onCancel?: () => void;
    onClose: () => void;
    title: string;
    subtitle?: string;
    confirmLabel?: string;
    intent?: ButtonIntent;
}
export declare const AlertDialog: ({ isOpen, title, subtitle, confirmLabel, onConfirm, intent, onCancel, onClose }: AlertDialogProps) => import("@emotion/react/jsx-runtime").JSX.Element;
