import * as React from "react";
import { CSSProperties } from "react";
import { Vector2 } from "@use-gesture/core/dist/declarations/src/types/utils";
type GesturePageProps = Omit<React.HTMLProps<HTMLDivElement>, 'focus'> & {
    id?: string | undefined;
    value: number;
    onRequestChange: (value: number) => void;
    lazyLoad?: boolean;
    onSetLazy?: (suggestedIndex: number) => number[];
    onNestDragEnd?: (direction: Vector2) => boolean;
    paneStyle?: CSSProperties | undefined;
    children: Array<React.ReactNode>;
    style?: CSSProperties | undefined;
    noBind?: boolean;
};
export interface PagerHandles {
    focus(i?: number): void;
}
export declare const Pager: ({ children, id, value: index, onRequestChange, lazyLoad, onSetLazy, onNestDragEnd, style, paneStyle, noBind, ref, ...other }: GesturePageProps) => import("@emotion/react/jsx-runtime").JSX.Element;
export {};
