import PropTypes from "prop-types";
export interface SkeletonProps {
    baseColor?: string;
    highlightColor?: string;
    duration?: number;
    animated?: boolean;
}
export declare const Skeleton: {
    ({ baseColor, highlightColor, animated, duration, ...other }: SkeletonProps): import("@emotion/react/jsx-runtime").JSX.Element;
    propTypes: {
        baseColor: PropTypes.Requireable<string>;
        highlightColor: PropTypes.Requireable<string>;
        duration: PropTypes.Requireable<number>;
    };
};
